﻿using System;
using SharpRss;
using SharpRss.Models;
using ToolQit;

namespace WebSharpRSS.Models
{
    public class SyndicationItemData : SyndicationItemModel
    {
        public SyndicationItemData()
        {
            
        }
        public static SyndicationItemData? FromModel(SyndicationItemModel model) => Utilities.ConvertFrom<SyndicationItemData, SyndicationItemModel>(model);
        private string? _faviconUrl;
        public string? FaviconUrl
        {
            get
            {
                if (Link == null || _faviconUrl != null) return _faviconUrl;
                _faviconUrl = string.Format(Caretaker.Settings["Paths"].GetString("FaviconResolveUrl"), new Uri(SyndicationManager.DecodeUrlFromBase64(EncodedSyndicationUrl)).Host);
                return _faviconUrl;
            }
        }

        public string? Icon { get; set; }
    }
}
